#include "Time.H"
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
namespace Foam
{
/*---------------------------------------------------------------------------*\
                             Class Time Declaration
\*---------------------------------------------------------------------------*/

class bTime
:
    public Time
{
public:
   // Constructor
        bTime
        (
            const word& name,
            const argList& args,
            const word& systemName = "system",
            const word& constantName = "constant"
        );


   // Member functions

   bool setOutputTime();
   bool printInfos();
};
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //


// relay directly through to base class
Foam::bTime::bTime
(
    const word& controlDictName,
    const argList& args,
    const word& systemName,
    const word& constantName
)
:
    Foam::Time::Time
    (
        controlDictName,
        args,
        systemName,
        constantName
    )
{}

// * * * * * * * * * * * * * * * Member Functions  * * * * * * * * * * * * * //

// es wird nur die startTime geändert!
bool Foam::bTime::setOutputTime()
{
        double a = value();
        a /= writeInterval_;
        a = floor(a);
        a *= writeInterval_;
		startTime_ = a;
		return 0;
}

bool Foam::bTime::printInfos()
{
        Info << "start time = " << startTime_ << endl;
        Info << "write interval = " << writeInterval_ << endl;
        Info << value() << endl;
    return 0;
}
// ************************************************************************* //
