#include "Time.H"
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
namespace Foam
{
/*---------------------------------------------------------------------------*\
                             Class Time Declaration
\*---------------------------------------------------------------------------*/

class bTime
:
    public Time
{
public:
   // Constructor
        bTime
        (
            const word& name,
            const argList& args,
            const word& systemName = "system",
            const word& constantName = "constant"
        );


   // Member functions

   bool setOutputTime();
   bool printInfos();
};
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //


// relay directly through to base class
Foam::bTime::bTime
(
    const word& controlDictName,
    const argList& args,
    const word& systemName,
    const word& constantName
)
:
    Foam::Time::Time
    (
        controlDictName,
        args,
        systemName,
        constantName
    )
{}

// * * * * * * * * * * * * * * * Member Functions  * * * * * * * * * * * * * //

// es wird nur die startTime geändert!
bool Foam::bTime::setOutputTime()
{
        double a = value();
        //Info << a << endl;
        a /= writeInterval_;
        //Info << a << endl;
        a = floor(a);
        //Info << a << endl;
        a *= writeInterval_;
        //Info << "a = " << a << endl;
	startTime_ = a;
	//Info << "Starttime = " << startTime_ << endl;
	//Info << "outIndex =" << outputTimeIndex_ << endl;
	//Info << "wrIntervall= " << writeInterval_ << endl;
	//Info << value() << endl;
	//Info << "Sum=" << (outputTimeIndex_ + 1)*writeInterval_ - (value()-startTime_) << endl;
    return 0;
}

bool Foam::bTime::printInfos()
{
        Info << "start time = " << startTime_ << endl;
        Info << "write interval = " << writeInterval_ << endl;
        Info << value() << endl;
    return 0;
}
// ************************************************************************* //
