Info<< "Reading transportProperties\n" << endl;

IOdictionary transportProperties
(
    IOobject
    (
        "transportProperties",
        runTime.constant(),
        mesh,
        IOobject::MUST_READ_IF_MODIFIED,
        IOobject::NO_WRITE
    )
);

dimensionedScalar beta_T
(
    "beta_T",
    dimensionSet(0,0,0,-1,0,0,0),
    transportProperties.lookup("beta_T")
);

dimensionedScalar beta_rho_A
(
    "beta_rho_A",
    dimensionSet(-1,3,0,0,0,0,0),
    transportProperties.lookup("beta_rho_A")
);

dimensionedScalar D_AB
(
    "D_AB",
    dimensionSet(0,2,-1,0,0,0,0),
    transportProperties.lookup("D_AB")
);

dimensionedScalar rho_AB
(
    "rho_AB",
    dimensionSet(1,-3,0,0,0,0,0),
    transportProperties.lookup("rho_AB")
);

dimensionedScalar cp_B
(
    "cp_B",
    dimensionSet(0,2,-2,-1,0,0,0),
    transportProperties.lookup("cp_B")
);

dimensionedScalar k_B
(
    "k_B",
    dimensionSet(1,1,-3,-1,0,0,0),
    transportProperties.lookup("k_B")
);
